aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/postfix/files/postfix
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/postfix/files/postfix')
-rwxr-xr-xrecipes/postfix/files/postfix31
1 files changed, 31 insertions, 0 deletions
diff --git a/recipes/postfix/files/postfix b/recipes/postfix/files/postfix
new file mode 100755
index 0000000000..2fd5ba7007
--- /dev/null
+++ b/recipes/postfix/files/postfix
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+case "$1" in
+
+ start)
+ echo "Starting Postfix..."
+ postfix start
+ ;;
+
+ stop)
+ echo "Stopping Postfix..."
+ postfix stop
+ ;;
+
+ reload)
+ echo "Reloading Postfix..."
+ postfix reload
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|reload|restart}"
+ exit 1
+ ;;
+esac
+